## private display
execute if score @s 2d4 matches 001.. run title @s actionbar {"text":"(2d4)","bold":false,"color":"gray"}
execute if score @s 2d6 matches 001.. run title @s actionbar {"text":"(2d6)","bold":false,"color":"gray"}
execute if score @s 2d8 matches 001.. run title @s actionbar {"text":"(2d8)","bold":false,"color":"gray"}
execute if score @s 2d10 matches 01.. run title @s actionbar {"text":"(2d10)","bold":false,"color":"gray"}
execute if score @s 2d12 matches 01.. run title @s actionbar {"text":"(2d12)","bold":false,"color":"gray"}
execute if score @s 2d20 matches 01.. run title @s actionbar {"text":"(2d20)","bold":false,"color":"gray"}
execute if score @s 2d100 matches 1.. run title @s actionbar {"text":"(2d100)","bold":false,"color":"gray"}

title @s times 20 120 20
title @s subtitle [{"score":{"name":"@s","objective":"dice1"},"bold":true,"color":"#df03fc"},{"text":" / ","color":"gray"},{"score":{"name":"@s","objective":"dice2"},"bold":true,"color":"#df03fc"}]
title @s title {"text":""}

## public display
# simple
execute if score DicesTotal fkrpd.options matches 0 if score @s 2d4 matches 001.. run tellraw @a ["",{"text":"<"},{"selector":"@s"},{"text":"> "},{"score":{"name":"@s","objective":"dice1"},"bold":true,"color":"#df03fc"},{"text":" (d4)","color":"gray"},{"text":" / "},{"score":{"name":"@s","objective":"dice2"},"bold":true,"color":"#df03fc"},{"text":" (d4)","color":"gray"}]
execute if score DicesTotal fkrpd.options matches 0 if score @s 2d6 matches 001.. run tellraw @a ["",{"text":"<"},{"selector":"@s"},{"text":"> "},{"score":{"name":"@s","objective":"dice1"},"bold":true,"color":"#df03fc"},{"text":" (d6)","color":"gray"},{"text":" / "},{"score":{"name":"@s","objective":"dice2"},"bold":true,"color":"#df03fc"},{"text":" (d6)","color":"gray"}]
execute if score DicesTotal fkrpd.options matches 0 if score @s 2d8 matches 001.. run tellraw @a ["",{"text":"<"},{"selector":"@s"},{"text":"> "},{"score":{"name":"@s","objective":"dice1"},"bold":true,"color":"#df03fc"},{"text":" (d8)","color":"gray"},{"text":" / "},{"score":{"name":"@s","objective":"dice2"},"bold":true,"color":"#df03fc"},{"text":" (d8)","color":"gray"}]
execute if score DicesTotal fkrpd.options matches 0 if score @s 2d10 matches 01.. run tellraw @a ["",{"text":"<"},{"selector":"@s"},{"text":"> "},{"score":{"name":"@s","objective":"dice1"},"bold":true,"color":"#df03fc"},{"text":" (d10)","color":"gray"},{"text":" / "},{"score":{"name":"@s","objective":"dice2"},"bold":true,"color":"#df03fc"},{"text":" (d10)","color":"gray"}]
execute if score DicesTotal fkrpd.options matches 0 if score @s 2d12 matches 01.. run tellraw @a ["",{"text":"<"},{"selector":"@s"},{"text":"> "},{"score":{"name":"@s","objective":"dice1"},"bold":true,"color":"#df03fc"},{"text":" (d12)","color":"gray"},{"text":" / "},{"score":{"name":"@s","objective":"dice2"},"bold":true,"color":"#df03fc"},{"text":" (d12)","color":"gray"}]
execute if score DicesTotal fkrpd.options matches 0 if score @s 2d20 matches 01.. run tellraw @a ["",{"text":"<"},{"selector":"@s"},{"text":"> "},{"score":{"name":"@s","objective":"dice1"},"bold":true,"color":"#df03fc"},{"text":" (d20)","color":"gray"},{"text":" / "},{"score":{"name":"@s","objective":"dice2"},"bold":true,"color":"#df03fc"},{"text":" (d20)","color":"gray"}]
execute if score DicesTotal fkrpd.options matches 0 if score @s 2d100 matches 1.. run tellraw @a ["",{"text":"<"},{"selector":"@s"},{"text":"> "},{"score":{"name":"@s","objective":"dice1"},"bold":true,"color":"#df03fc"},{"text":" (d100)","color":"gray"},{"text":" / "},{"score":{"name":"@s","objective":"dice2"},"bold":true,"color":"#df03fc"},{"text":" (d100)","color":"gray"}]

# with total
execute if score DicesTotal fkrpd.options matches 1 if score @s 2d4 matches 001.. run tellraw @a ["",{"text":"<"},{"selector":"@s"},{"text":"> "},{"score":{"name":"@s","objective":"dice1"},"bold":true,"color":"#df03fc"},{"text":" (d4)","color":"gray"},{"text":" / "},{"score":{"name":"@s","objective":"dice2"},"bold":true,"color":"#df03fc"},{"text":" (d4)","color":"gray"},{"text":" = "},{"score":{"name":"#total","objective":"fkrpd.options"},"bold":true,"color":"#df03fc"}]
execute if score DicesTotal fkrpd.options matches 1 if score @s 2d6 matches 001.. run tellraw @a ["",{"text":"<"},{"selector":"@s"},{"text":"> "},{"score":{"name":"@s","objective":"dice1"},"bold":true,"color":"#df03fc"},{"text":" (d6)","color":"gray"},{"text":" / "},{"score":{"name":"@s","objective":"dice2"},"bold":true,"color":"#df03fc"},{"text":" (d6)","color":"gray"},{"text":" = "},{"score":{"name":"#total","objective":"fkrpd.options"},"bold":true,"color":"#df03fc"}]
execute if score DicesTotal fkrpd.options matches 1 if score @s 2d8 matches 001.. run tellraw @a ["",{"text":"<"},{"selector":"@s"},{"text":"> "},{"score":{"name":"@s","objective":"dice1"},"bold":true,"color":"#df03fc"},{"text":" (d8)","color":"gray"},{"text":" / "},{"score":{"name":"@s","objective":"dice2"},"bold":true,"color":"#df03fc"},{"text":" (d8)","color":"gray"},{"text":" = "},{"score":{"name":"#total","objective":"fkrpd.options"},"bold":true,"color":"#df03fc"}]
execute if score DicesTotal fkrpd.options matches 1 if score @s 2d10 matches 01.. run tellraw @a ["",{"text":"<"},{"selector":"@s"},{"text":"> "},{"score":{"name":"@s","objective":"dice1"},"bold":true,"color":"#df03fc"},{"text":" (d10)","color":"gray"},{"text":" / "},{"score":{"name":"@s","objective":"dice2"},"bold":true,"color":"#df03fc"},{"text":" (d10)","color":"gray"},{"text":" = "},{"score":{"name":"#total","objective":"fkrpd.options"},"bold":true,"color":"#df03fc"}]
execute if score DicesTotal fkrpd.options matches 1 if score @s 2d12 matches 01.. run tellraw @a ["",{"text":"<"},{"selector":"@s"},{"text":"> "},{"score":{"name":"@s","objective":"dice1"},"bold":true,"color":"#df03fc"},{"text":" (d12)","color":"gray"},{"text":" / "},{"score":{"name":"@s","objective":"dice2"},"bold":true,"color":"#df03fc"},{"text":" (d12)","color":"gray"},{"text":" = "},{"score":{"name":"#total","objective":"fkrpd.options"},"bold":true,"color":"#df03fc"}]
execute if score DicesTotal fkrpd.options matches 1 if score @s 2d20 matches 01.. run tellraw @a ["",{"text":"<"},{"selector":"@s"},{"text":"> "},{"score":{"name":"@s","objective":"dice1"},"bold":true,"color":"#df03fc"},{"text":" (d20)","color":"gray"},{"text":" / "},{"score":{"name":"@s","objective":"dice2"},"bold":true,"color":"#df03fc"},{"text":" (d20)","color":"gray"},{"text":" = "},{"score":{"name":"#total","objective":"fkrpd.options"},"bold":true,"color":"#df03fc"}]
execute if score DicesTotal fkrpd.options matches 1 if score @s 2d100 matches 1.. run tellraw @a ["",{"text":"<"},{"selector":"@s"},{"text":"> "},{"score":{"name":"@s","objective":"dice1"},"bold":true,"color":"#df03fc"},{"text":" (d100)","color":"gray"},{"text":" / "},{"score":{"name":"@s","objective":"dice2"},"bold":true,"color":"#df03fc"},{"text":" (d100)","color":"gray"},{"text":" = "},{"score":{"name":"#total","objective":"fkrpd.options"},"bold":true,"color":"#df03fc"}]
